# Function PolygonFactory

- PolygonFactory(
  vertexCount: number,
  color:
  | number
  | IndexedCollection
  | [number, number, number]
  | [number, number, number, number],
  ): typeof PolygonBase

  #### Parameters

  - vertexCount: number
  - color:
    | number
    | IndexedCollection
    | [number, number, number]
    | [number, number, number, number]

  #### Returns typeof PolygonBase

  - Defined in drawables/shapes/polygon-factory.ts:20